Update an item
curl --request PATCH \
--url https://api.abadge.io/v1/items/{itemId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storageMode": "zero_knowledge",
"label": "<string>",
"encryptedItemKey": "<string>",
"ciphertext": "<string>",
"contentVersion": 2
}
'import requests
url = "https://api.abadge.io/v1/items/{itemId}"
payload = {
"storageMode": "zero_knowledge",
"label": "<string>",
"encryptedItemKey": "<string>",
"ciphertext": "<string>",
"contentVersion": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
storageMode: 'zero_knowledge',
label: '<string>',
encryptedItemKey: '<string>',
ciphertext: '<string>',
contentVersion: 2
})
};
fetch('https://api.abadge.io/v1/items/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.abadge.io/v1/items/{itemId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'storageMode' => 'zero_knowledge',
'label' => '<string>',
'encryptedItemKey' => '<string>',
'ciphertext' => '<string>',
'contentVersion' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.abadge.io/v1/items/{itemId}"
payload := strings.NewReader("{\n \"storageMode\": \"zero_knowledge\",\n \"label\": \"<string>\",\n \"encryptedItemKey\": \"<string>\",\n \"ciphertext\": \"<string>\",\n \"contentVersion\": 2\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.abadge.io/v1/items/{itemId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"storageMode\": \"zero_knowledge\",\n \"label\": \"<string>\",\n \"encryptedItemKey\": \"<string>\",\n \"ciphertext\": \"<string>\",\n \"contentVersion\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.abadge.io/v1/items/{itemId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"storageMode\": \"zero_knowledge\",\n \"label\": \"<string>\",\n \"encryptedItemKey\": \"<string>\",\n \"ciphertext\": \"<string>\",\n \"contentVersion\": 2\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"contentVersion": 2
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {},
"issues": [
{
"path": [
"<string>"
],
"message": "<string>"
}
]
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}Items
Update an item
Updates an item using optimistic concurrency. The request must carry the current contentVersion; a mismatch fails with STALE_VERSION. Requires the admin role.
PATCH
/
items
/
{itemId}
Update an item
curl --request PATCH \
--url https://api.abadge.io/v1/items/{itemId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storageMode": "zero_knowledge",
"label": "<string>",
"encryptedItemKey": "<string>",
"ciphertext": "<string>",
"contentVersion": 2
}
'import requests
url = "https://api.abadge.io/v1/items/{itemId}"
payload = {
"storageMode": "zero_knowledge",
"label": "<string>",
"encryptedItemKey": "<string>",
"ciphertext": "<string>",
"contentVersion": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
storageMode: 'zero_knowledge',
label: '<string>',
encryptedItemKey: '<string>',
ciphertext: '<string>',
contentVersion: 2
})
};
fetch('https://api.abadge.io/v1/items/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.abadge.io/v1/items/{itemId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'storageMode' => 'zero_knowledge',
'label' => '<string>',
'encryptedItemKey' => '<string>',
'ciphertext' => '<string>',
'contentVersion' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.abadge.io/v1/items/{itemId}"
payload := strings.NewReader("{\n \"storageMode\": \"zero_knowledge\",\n \"label\": \"<string>\",\n \"encryptedItemKey\": \"<string>\",\n \"ciphertext\": \"<string>\",\n \"contentVersion\": 2\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.abadge.io/v1/items/{itemId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"storageMode\": \"zero_knowledge\",\n \"label\": \"<string>\",\n \"encryptedItemKey\": \"<string>\",\n \"ciphertext\": \"<string>\",\n \"contentVersion\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.abadge.io/v1/items/{itemId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"storageMode\": \"zero_knowledge\",\n \"label\": \"<string>\",\n \"encryptedItemKey\": \"<string>\",\n \"ciphertext\": \"<string>\",\n \"contentVersion\": 2\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"contentVersion": 2
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {},
"issues": [
{
"path": [
"<string>"
],
"message": "<string>"
}
]
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}Authorizations
Bearer token in the Authorization header. Management routes accept a session token or a personal API key (abu_). Agent-facing access.* routes require an agent session token (abs_).
Headers
Active organization. Required when the caller belongs to more than one org; otherwise resolved automatically.
Path Parameters
Body
application/json
Was this page helpful?